<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/sky"
    android:orientation="horizontal">
<ScrollView
    android:layout_width="match_parent"
    android:fillViewport="true"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/inf_head"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_marginTop="4dp">

            <ImageView
                android:id="@+id/inf_user_icon"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:paddingRight="5dp"
                android:src="@drawable/touxiang" />

            <TextView
                android:id="@+id/inf_postPersonName"
                android:layout_width="156dp"
                android:layout_height="24dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentEnd="true"
                android:layout_alignParentBottom="true"
                android:layout_marginStart="8dp"
                android:layout_marginTop="35dp"
                android:layout_marginEnd="177dp"
                android:layout_marginBottom="16dp"
                android:layout_toEndOf="@+id/inf_user_icon"
                android:text="百利甜斤鱼子"
                android:textColor="@color/black" />

        </RelativeLayout>

        <TextView
            android:id="@+id/inf_textView_perception"
            android:layout_width="380dp"
            android:layout_height="wrap_content"
            android:paddingRight="20dp"
            android:paddingBottom="2dp"
            android:text="多边形裁剪用于裁剪掉被裁剪多边形(又称为实体多边形，后文用S表示)位于窗口(又称为裁剪多边形，后文用C表示)之外的部分。裁剪的结果多边形是由实体多边形位于裁剪多边形内的边界和裁剪多边形位于实体多边形内的边界组成的。"
            android:textColor="@color/black" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/color_lightpurple" />

        <LinearLayout
            android:id="@+id/inf_bookInf"
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="10dp"
            android:clickable="true"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/inf_book_pic"
                android:layout_width="100dp"
                android:layout_height="89dp"
                android:layout_marginTop="5dp"
                tools:srcCompat="@tools:sample/avatars" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="200dp"
                    android:layout_height="75dp"

                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/inf_bookAuthor"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="10dp"
                        android:text="钱钟书"
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <TextView
                        android:id="@+id/inf_bookName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:ellipsize="end"
                        android:lines="1"
                        android:paddingTop="15dp"
                        android:text="围城"
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                </LinearLayout>

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:src="@drawable/wanttosee" />
            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/color_lightpurple" />

        <TextView
            android:id="@+id/postTime"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:text="发表于 "
            android:textColor="@color/black" />

        <TextView
            android:id="@+id/comment_cnt"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:text="评论" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/color_lightpurple" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/comment_recyclerview"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </LinearLayout>
</ScrollView>
    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="bottom"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/yourcomment"
            android:layout_width="320dp"
            android:layout_height="35dp"
            android:background="@drawable/mychatback"
            android:hint="说点什么吧~~" />

        <Button
            android:id="@+id/submitComment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="发表" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
